%define _disable_ld_no_undefined 1
%define _requires_exceptions pear(HTMLPurifier.func.php)

Name:           pnp4nagios
Version:        0.6.21
Release:        %mkrel 2
Summary:        Nagios performance data analysis tool

Group:          System/Servers
License:        GPLv2
URL:            http://www.pnp4nagios.org/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:        pnp4nagios.logrotate.conf
Source2:        npcd.service
Source3:        pnp4nagios-README.fedora
Patch1:         pnp4nagios-httpd24.patch

BuildRequires:  autoconf, automake, libtool
BuildRequires:  perl-rrdtool
BuildRequires:  perl(Time::HiRes)
Requires:       nagios
Requires:       perl-rrdtool
Requires:       php-gd
Requires:       php-iconv
Requires:       apache-mod_php

%description
PNP is an addon to nagios which analyzes performance data provided by plugins
and stores them automatically into RRD-databases.


%prep
%setup -q
%patch1 -p1
autoreconf

cp -p %{SOURCE3} README.fedora
sed -i -e 's/^INSTALL_OPTS="-o $nagios_user -g $nagios_grp"/INSTALL_OPTS=""/' \
    configure
sed -i -e '/^\t$(MAKE) strip-post-install$/d' src/Makefile.in


%build
%configure2_5x --bindir=%{_sbindir} \
           --libexecdir=%{_libexecdir}/%{name} \
           --sysconfdir=%{_sysconfdir}/%{name} \
           --localstatedir=%{_localstatedir}/log/%{name} \
           --datadir=%{_datadir}/nagios/html/%{name} \
           --datarootdir=%{_datadir}/nagios/html/%{name} \
           --with-perfdata-dir=%{_localstatedir}/lib/%{name} \
           --with-perfdata-spool-dir=%{_localstatedir}/spool/%{name}
%make all


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} 
make install-config DESTDIR=%{buildroot} 
# remove -sample from filename suffix
for i in %{buildroot}/%{_sysconfdir}/pnp4nagios/*-sample \
         %{buildroot}/%{_sysconfdir}/pnp4nagios/*/*-sample
do
  mv ${i} ${i%%-sample}
done
rm -f %{buildroot}%{_sysconfdir}/%{name}/config.php.*
rm -f %{buildroot}%{_sysconfdir}/%{name}/config_local.php

mkdir -p %{buildroot}%{_localstatedir}/lib/%{name}
mkdir -p %{buildroot}%{_localstatedir}/spool/%{name}
mkdir -p %{buildroot}%{_localstatedir}/log/%{name}
install -Dp -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/logrotate.d/pnp4nagios
install -d -m 755 %{buildroot}%{_unitdir}
install -Dp -m 755 %{SOURCE2} %{buildroot}%{_unitdir}/
install -d -m 755 %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d
sed \
   -e 's|/usr/local/nagios/etc/htpasswd.users|/etc/nagios/passwd|' \
   -e 's|Nagios Access|Monitoring Access (default is nagiosadmin/nagiosadmin)|' \
   sample-config/httpd.conf \
   > %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf

install -d -m 755 %{buildroot}%{_libdir}/pnp4nagios
mv %{buildroot}%{_libdir}/npcdmod.o \
   %{buildroot}%{_libdir}/pnp4nagios/npcdmod.o
mv %{buildroot}%{_prefix}/man %{buildroot}%{_datadir}/

# Move kohana to pnp4nagios, there is another kohana in fedore/EPEL,
# which can be installed.
mv %{buildroot}%{_libdir}/kohana \
  %{buildroot}%{_datadir}/nagios/html/%{name}/kohana
sed -i 's|%{_libdir}/kohana|%{_datadir}/nagios/html/%{name}/kohana|' \
  %{buildroot}%{_datadir}/nagios/html/%{name}/index.php

install -d -m 755 %{buildroot}%{_sysconfdir}/nagios/conf.d
cat > %{buildroot}%{_sysconfdir}/nagios/conf.d/npcd.cfg <<'EOF'
process_performance_data=1
broker_module=%{_libdir}/pnp4nagios/npcdmod.o config_file=%{_sysconfdir}/pnp4nagios/npcd.cfg
EOF

%post
%_post_unit npcd.service

%preun
%_preun_unit npcd.service

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog COPYING INSTALL README README.fedora
%doc THANKS contrib/
%dir %{_sysconfdir}/pnp4nagios
%config(noreplace) %attr(0640,root,nagios) %{_sysconfdir}/pnp4nagios/process_perfdata.cfg
%config(noreplace) %{_sysconfdir}/pnp4nagios/*
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%config(noreplace) %{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf
%{_unitdir}/npcd.service
%attr(755,root,root) %{_sbindir}/npcd
%{_libdir}/pnp4nagios/npcdmod.o
%{_sysconfdir}/nagios/conf.d/npcd.cfg
%dir %{_libexecdir}/%{name}
%attr(755,root,root) %{_libexecdir}/%{name}/*
%attr(755,nagios,nagios) %{_localstatedir}/lib/%{name}
%attr(755,nagios,nagios) %{_localstatedir}/log/%{name}
%attr(755,nagios,nagios) %{_localstatedir}/spool/%{name}
%{_datadir}/nagios/html/%{name}
# Remove install check script
# as it is not required if all dependencies are met.
%exclude %{_datadir}/nagios/html/%{name}/install.php
%{_mandir}/man8/*
# This is a different version of Kohana like in Fedora/EPEL.
# Needed for pnp4nagios web interface to work.
%{_datadir}/nagios/html/%{name}/kohana



%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.6.21-2.mga4
+ Revision: 531163
- Mageia 4 Mass Rebuild

* Thu Aug 01 2013 alien <alien> 0.6.21-1.mga4
+ Revision: 462404
- put in correct rpm group
- imported package pnp4nagios


* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 0.6.21-3
- Perl 5.18 rebuild

* Wed Jul 03 2013 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - 0.6.21-2
- Broken configuration for httpd 2.4 fixed (bz#871465)
- fixed dates in changelog items

* Tue Jun 04 2013 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - 0.6.21-1
- update to upstream

* Sat Mar 23 2013 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - 0.6.20-2
- added autoreconf to prep section (bz#926359)

* Sun Mar 03 2013 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - 0.6.20-1
- update to upstream

* Sun Feb 17 2013 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - 0.6.19-2
- updated hostextinfo URL for pnp4nagios 0.6
- spec file cleanup

* Sat Feb 16 2013 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - 0.6.19-1
- update to upstream

* Mon Sep 03 2012 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - 0.6.16-4
- CVE-2012-3457 - process_perfdata.cfg world readable

* Thu Apr 05 2012 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - 0.6.16-2
- Removed double slashes fro directories (BZ#810212).

* Thu Nov 24 2011 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - 0.6.16-1
- update to upstream

* Mon Nov 21 2011 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - 0.6.15-4
- add back kohana, it's a different version
- added BR: perl(Time::HiRes)

* Mon Nov 21 2011 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - 0.6.15-2
- exclude kohana sources and require php-Kohana package

* Wed Nov 16 2011 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - 0.6.15-1
- update to upstream
- remove /usr/share/nagios/html/pnp4nagios/install.php
- added /etc/httpd/conf.d/pnp4nagios.conf
- removed -sample suffix from rest of sample files

* Tue Oct 11 2011 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - 0.6.1-3
- Updated renaming of "-sample" config files.

* Wed Sep 14 2011 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - 0.6.1-1
- Update to 0.6.1.

* Tue Sep 13 2011 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - 0.4.14-7
- added perl-Time-HiRes to build requires

* Tue Sep 13 2011 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - 0.4.14-6
- rebuilt for EPEL-6

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.14-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Sep 27 2010 Xavier Bachelot <xavier@bachelot.org> 0.4.14-4
- Bump release for rebuild.

* Sun Jul 18 2010 Xavier Bachelot <xavier@bachelot.org> 0.4.14-3
- Add patch to fix PHP deprecated warnings with PHP 5.3.
  (Patch from Jan Ondrej - RHBZ#572851)

* Thu Aug 27 2009 Xavier Bachelot <xavier@bachelot.org> 0.4.14-2
- Ship contrib directory as doc.

* Thu Aug 27 2009 Xavier Bachelot <xavier@bachelot.org> 0.4.14-1
- Update to 0.4.14 (RHBZ#518069).
- Fix typo in README.fedora (RHBZ#490664).
- Move npcdmod.o to a better place.
- BR: rrdtool-perl

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.12-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Dec  4 2008 Michael Schwendt <mschwendt@fedoraproject.org> 0.4.12-2
- Include /usr/libexec/pnp4nagios directory.

* Tue Oct 21 2008 Robert M. Albrecht <romal@gmx.de> 0.4.12-1
- Upstream released 0.4.12

* Tue Sep 02 2008 Xavier Bachelot <xavier@bachelot.org> 0.4.10-3
- Fix logrotate conf (RHBZ#460861).

* Fri Jul 18 2008 Xavier Bachelot <xavier@bachelot.org> 0.4.10-2
- Fix typo in logrotate conf.

* Wed Jul 09 2008 Xavier Bachelot <xavier@bachelot.org> 0.4.10-1
- Update to 0.4.10.

* Tue May 27 2008 Xavier Bachelot <xavier@bachelot.org> 0.4.9-3
- Fix npcd init script to use /etc/pnp4nagios.

* Tue May 27 2008 Xavier Bachelot <xavier@bachelot.org> 0.4.9-2
- Install npcd unstripped to let rpm do it.

* Sat May 24 2008 Xavier Bachelot <xavier@bachelot.org> 0.4.9-1
- Update to 0.4.9.
- Rename to pnp4nagios to match other distros packages.

* Mon Apr 14 2008 Xavier Bachelot <xavier@bachelot.org> 0.4.7-5
- Log to file by default.
- Kill pnpsender man page.

* Mon Apr 07 2008 Xavier Bachelot <xavier@bachelot.org> 0.4.7-4
- Install inside of nagios html dir.

* Mon Apr 07 2008 Xavier Bachelot <xavier@bachelot.org> 0.4.7-3
- Provide properly named config files.
- Add missing Requires:.
- Add a logrotate conf file.

* Fri Apr 04 2008 Xavier Bachelot <xavier@bachelot.org> 0.4.7-2
- Add an initscript for npcd.

* Wed Mar 19 2008 Xavier Bachelot <xavier@bachelot.org> 0.4.7-1
- Initial build.
